<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:autoTransition="animateToEnd"
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@id/start"
        motion:duration="1000"
        motion:motionInterpolator="linear" />

    <ConstraintSet android:id="@+id/start">
        <Constraint
            android:id="@id/rl"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="BackgroundColor"
                motion:customColorValue="#FBAD18" />
        </Constraint>
    </ConstraintSet>

    <ConstraintSet
        android:id="@+id/end"
        motion:duration="1000">
        <Constraint
            android:id="@id/rl"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="BackgroundColor"
                motion:customColorValue="#5F4090" />
        </Constraint>
    </ConstraintSet>
    <ConstraintSet android:id="@+id/start1">
        <Constraint
            android:id="@id/rl"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="BackgroundColor"
                motion:customColorValue="#02D5B4" />
        </Constraint>
        <Constraint
            android:id="@id/logoImgV"
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:layout_marginStart="8dp"
            motion:layout_constraintEnd_toEndOf="parent"

            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="crossfade"
                motion:customFloatValue="0" />
        </Constraint>
    </ConstraintSet>
    <ConstraintSet
        android:id="@+id/end1"
        motion:duration="1000">
        <Constraint
            android:id="@id/rl"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="BackgroundColor"
                motion:customColorValue="#ffffff" />
        </Constraint>
        <Constraint
            android:id="@id/logoImgV"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_marginEnd="8dp"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                motion:attributeName="crossfade"
                motion:customFloatValue="1" />
        </Constraint>
    </ConstraintSet>
    <Transition
        motion:autoTransition="animateToEnd"
        motion:constraintSetEnd="@+id/start1"
        motion:constraintSetStart="@id/end"
        motion:duration="1000"
        motion:motionInterpolator="linear" />

    <Transition
        motion:autoTransition="animateToEnd"
        motion:constraintSetEnd="@+id/end1"
        motion:constraintSetStart="@id/start1"
        motion:duration="1000"
        motion:motionInterpolator="linear" />


</MotionScene>